Package de.gebit.integrity.dsl

## Interface TypedNestedObject

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `Value`, `ValueOrEnumValueOrOperation`
  All Known Implementing Classes:
    `TypedNestedObjectImpl`

      public interface TypedNestedObject
      extends Value

  A representation of the model object 'Typed Nested Object'.

  The following features are supported:

  - `Type`
  - `Nested Object`
  See Also:
    `DslPackage.getTypedNestedObject()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NestedObject` | `getNestedObject()` | Returns the value of the 'Nested Object' containment reference.
    `JavaClassReference` | `getType()` | Returns the value of the 'Type' containment reference.
    `void` | `setNestedObject​(NestedObject value)` | Sets the value of the '`Nested Object`' containment reference.
    `void` | `setType​(JavaClassReference value)` | Sets the value of the '`Type`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          JavaClassReference getType()

      Returns the value of the 'Type' containment reference.
      Returns:
        the value of the 'Type' containment reference.
      See Also:
        `setType(JavaClassReference)`, `DslPackage.getTypedNestedObject_Type()`

    - #### setType

          void setType​(JavaClassReference value)

      Sets the value of the '`Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Type' containment reference.
      See Also:
        `getType()`

    - #### getNestedObject

          NestedObject getNestedObject()

      Returns the value of the 'Nested Object' containment reference.
      Returns:
        the value of the 'Nested Object' containment reference.
      See Also:
        `setNestedObject(NestedObject)`, `DslPackage.getTypedNestedObject_NestedObject()`

    - #### setNestedObject

          void setNestedObject​(NestedObject value)

      Sets the value of the '`Nested Object`' containment reference.
      Parameters:
        `value` - the new value of the 'Nested Object' containment reference.
      See Also:
        `getNestedObject()`